public class Coin implements Measurable {
    
    private double value;
    private String name;
    
    public Coin(double value, String name) {
        this.name = name;
        this.value = value;
    }
    
    // required by the Measurable interface
    public double getMeasure() {
        return this.value;
    }

    public String toString() {
        return name;
    }
    
    public double value() {
        return this.value;
    }
    
}
