public class Dataset {
    
    // instance variables
    private Measurable biggest;
    private double sum;
    private int count;
    
    // constructor
    public Dataset() {
        this.biggest = null;
        this.sum = 0;
        this.count = 0;
    }
    
    public void add(Measurable x) {
        this.sum = this.sum + x.getMeasure();
        this.count = this.count + 1;
        // update biggest
        if (this.biggest == null || x.getMeasure() > this.biggest.getMeasure()) {
            this.biggest = x;
        }
    }
    
    public Measurable getBiggest() {
        return this.biggest;
    }
    
    public double getAverage() {
        if (this.count == 0) {
            return 0;
        } else {
            return this.sum / this.count;
        }
    }
}
